<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:08 AEST 2019 -->
<title>WorldEditExceptionConverter (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="WorldEditExceptionConverter (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionMatch.html" title="annotation in com.sk89q.worldedit.internal.command.exception"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html" target="_top">Frames</a></li>
<li><a href="WorldEditExceptionConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.internal.command.exception</div>
<h2 title="Class WorldEditExceptionConverter" class="title">Class WorldEditExceptionConverter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionConverterHelper.html" title="class in com.sk89q.worldedit.internal.command.exception">com.sk89q.worldedit.internal.command.exception.ExceptionConverterHelper</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.internal.command.exception.WorldEditExceptionConverter</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionConverter.html" title="interface in com.sk89q.worldedit.internal.command.exception">ExceptionConverter</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">WorldEditExceptionConverter</span>
extends <a href="../../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionConverterHelper.html" title="class in com.sk89q.worldedit.internal.command.exception">ExceptionConverterHelper</a></pre>
<div class="block">converts WorldEdit exceptions and converts them into <code>CommandException</code>s.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#WorldEditExceptionConverter-com.sk89q.worldedit.WorldEdit-">WorldEditExceptionConverter</a></span>(<a href="../../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.DisallowedItemException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/DisallowedItemException.html" title="class in com.sk89q.worldedit">DisallowedItemException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.EmptyClipboardException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/EmptyClipboardException.html" title="class in com.sk89q.worldedit">EmptyClipboardException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.internal.expression.ExpressionException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/ExpressionException.html" title="class in com.sk89q.worldedit.internal.expression">ExpressionException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.util.io.file.FilenameResolutionException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/util/io/file/FilenameResolutionException.html" title="class in com.sk89q.worldedit.util.io.file">FilenameResolutionException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.util.io.file.FileSelectionAbortedException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/util/io/file/FileSelectionAbortedException.html" title="class in com.sk89q.worldedit.util.io.file">FileSelectionAbortedException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.IncompleteRegionException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.command.InsufficientArgumentsException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/command/InsufficientArgumentsException.html" title="class in com.sk89q.worldedit.command">InsufficientArgumentsException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.util.io.file.InvalidFilenameException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/util/io/file/InvalidFilenameException.html" title="class in com.sk89q.worldedit.util.io.file">InvalidFilenameException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.InvalidItemException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/InvalidItemException.html" title="class in com.sk89q.worldedit">InvalidItemException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.command.tool.InvalidToolBindException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/command/tool/InvalidToolBindException.html" title="class in com.sk89q.worldedit.command.tool">InvalidToolBindException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.MaxBrushRadiusException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/MaxBrushRadiusException.html" title="class in com.sk89q.worldedit">MaxBrushRadiusException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.MaxChangedBlocksException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit">MaxChangedBlocksException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.MaxRadiusException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/MaxRadiusException.html" title="class in com.sk89q.worldedit">MaxRadiusException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-java.lang.NumberFormatException-">convert</a></span>(java.lang.NumberFormatException&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.regions.RegionOperationException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions">RegionOperationException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.UnknownDirectionException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit">UnknownDirectionException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.UnknownItemException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/UnknownItemException.html" title="class in com.sk89q.worldedit">UnknownItemException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-org.enginehub.piston.exception.UsageException-">convert</a></span>(org.enginehub.piston.exception.UsageException&nbsp;e)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html#convert-com.sk89q.worldedit.WorldEditException-">convert</a></span>(<a href="../../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a>&nbsp;e)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.internal.command.exception.ExceptionConverterHelper">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.internal.command.exception.<a href="../../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionConverterHelper.html" title="class in com.sk89q.worldedit.internal.command.exception">ExceptionConverterHelper</a></h3>
<code><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionConverterHelper.html#convert-java.lang.Throwable-">convert</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="WorldEditExceptionConverter-com.sk89q.worldedit.WorldEdit-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>WorldEditExceptionConverter</h4>
<pre>public&nbsp;WorldEditExceptionConverter(<a href="../../../../../../com/sk89q/worldedit/WorldEdit.html" title="class in com.sk89q.worldedit">WorldEdit</a>&nbsp;worldEdit)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="convert-java.lang.NumberFormatException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(java.lang.NumberFormatException&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.IncompleteRegionException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/IncompleteRegionException.html" title="class in com.sk89q.worldedit">IncompleteRegionException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.UnknownItemException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/UnknownItemException.html" title="class in com.sk89q.worldedit">UnknownItemException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.InvalidItemException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/InvalidItemException.html" title="class in com.sk89q.worldedit">InvalidItemException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.DisallowedItemException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/DisallowedItemException.html" title="class in com.sk89q.worldedit">DisallowedItemException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.MaxChangedBlocksException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/MaxChangedBlocksException.html" title="class in com.sk89q.worldedit">MaxChangedBlocksException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.MaxBrushRadiusException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/MaxBrushRadiusException.html" title="class in com.sk89q.worldedit">MaxBrushRadiusException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.MaxRadiusException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/MaxRadiusException.html" title="class in com.sk89q.worldedit">MaxRadiusException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.UnknownDirectionException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/UnknownDirectionException.html" title="class in com.sk89q.worldedit">UnknownDirectionException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.command.InsufficientArgumentsException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/command/InsufficientArgumentsException.html" title="class in com.sk89q.worldedit.command">InsufficientArgumentsException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.regions.RegionOperationException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/regions/RegionOperationException.html" title="class in com.sk89q.worldedit.regions">RegionOperationException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.internal.expression.ExpressionException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/internal/expression/ExpressionException.html" title="class in com.sk89q.worldedit.internal.expression">ExpressionException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.EmptyClipboardException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/EmptyClipboardException.html" title="class in com.sk89q.worldedit">EmptyClipboardException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.util.io.file.InvalidFilenameException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/util/io/file/InvalidFilenameException.html" title="class in com.sk89q.worldedit.util.io.file">InvalidFilenameException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.util.io.file.FilenameResolutionException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/util/io/file/FilenameResolutionException.html" title="class in com.sk89q.worldedit.util.io.file">FilenameResolutionException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.command.tool.InvalidToolBindException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/command/tool/InvalidToolBindException.html" title="class in com.sk89q.worldedit.command.tool">InvalidToolBindException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.util.io.file.FileSelectionAbortedException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/util/io/file/FileSelectionAbortedException.html" title="class in com.sk89q.worldedit.util.io.file">FileSelectionAbortedException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-com.sk89q.worldedit.WorldEditException-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(<a href="../../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a>&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
<a name="convert-org.enginehub.piston.exception.UsageException-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>convert</h4>
<pre>public&nbsp;void&nbsp;convert(org.enginehub.piston.exception.UsageException&nbsp;e)
             throws org.enginehub.piston.exception.CommandException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>org.enginehub.piston.exception.CommandException</code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/command/exception/ExceptionMatch.html" title="annotation in com.sk89q.worldedit.internal.command.exception"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/command/exception/WorldEditExceptionConverter.html" target="_top">Frames</a></li>
<li><a href="WorldEditExceptionConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
